View Issue Details

IDProjectCategoryView StatusLast Update
0000847SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.6 
Target Version3.1.7Fixed in Version3.1.7 
Summary0000847: dbexport does not extract timestamp columns correctly on oracle or postgres
Descriptionhttps://sourceforge.net/p/symmetricds/discussion/739236/thread/81b81271/
TagsNo tags attached.

Activities

chenson

2012-10-07 19:22

administrator   ~0000086

This must be a timestamp with timezone issue. Seems to work with just plain timestamps.

Related Changesets

SymmetricDS: master 863523cb

2012-10-22 16:27:46

chenson

Details Diff
0000847: dbexport does not extract timestamp columns correctly on oracle
0000847
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDmlStatement.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-10-05 11:14 chenson New Issue
2012-10-05 11:14 chenson Status new => assigned
2012-10-05 11:14 chenson Assigned To => chenson
2012-10-07 12:25 chenson Project SymmetricDS Pro => SymmetricDS
2012-10-07 19:22 chenson Note Added: 0000086
2012-10-22 16:27 chenson Status assigned => resolved
2012-10-22 16:27 chenson Fixed in Version => 3.2.0
2012-10-22 16:27 chenson Resolution open => fixed
2012-10-22 16:28 chenson Target Version 3.1.7 => 3.2.0
2012-10-22 20:35 chenson Fixed in Version 3.2.0 => 3.1.7
2012-10-22 20:36 chenson Target Version 3.2.0 => 3.1.7
2012-10-22 20:37 chenson Status resolved => closed
2012-10-23 10:53 chenson Summary dbexport does not extract timestamp columns correctly on oracle => dbexport does not extract timestamp columns correctly on oracle or postgres
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6365
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 863523cb